Subject: Re: 23.1.92; segfault in composition_compute_stop_pos

From: Chong Yidong <[email-masked]>
Date: Sun, 21 Feb 2010 08:16:26 -0500

Hi Handa-san,

It looks like your changes to composite.c last month may have led to a
bug.  Could you take a look?  Thanks!

Sven Joachim <[email-masked]> wrote:

> During the last weeks I experienced several segfaults, mostly in Dired,
> but unfortunately I did not run Emacs under GDB.  This time I did.
> I visited a file named "Makefile" and started an I-search for
> "distcheck" when Emacs segfaulted.  This is not reproducible.

> (gdb) xbacktrace
> (gdb) bt full
> #0 0x081e30b4 in composition_compute_stop_pos (cmp_it=0xffffb040,
>     charpos=16, bytepos=26,
>     endpos=17, string=<value optimized out>) at composite.c:1072
>         elt = <value optimized out>
>         start = 0
>         end = -22168
>         c = 14719988
>         prop = 0
>         val = <value optimized out>
> #1 0x08079548 in reseat_to_string (it=<value optimized out>, s=0x0,
>     string=<value optimized out>,
>     charpos=0, precision=-8, field_width=17, multibyte=1) at xdisp.c:5613
> No locals.
>
> #2  0x08080031 in display_string (string=0x83ec9f2 "",
>     lisp_string=154714081, face_string=<value optimized out>,
>     face_string_pos=1, start=0, it=0xffffac88, field_width=17,
>     precision=-8, max_x=0, multibyte=1) at xdisp.c:18866
>         hpos_at_start = 8
>         saved_face_id = 1
>         row = 0x8f77368